import type { SourceLocation, BabelCodeFrameOptions } from '@babel/code-frame';
export interface File {
    name?: string;
    rawLines: string;
    location: SourceLocation;
}
export default class CodeFrameError extends Error {
    file: File;
    constructor(message: string, file: File);
    toString(options?: BabelCodeFrameOptions): string;
}
